# $Revision: 1.14 $, $Date: 2007/04/02 00:15:26 $
Summary:	Monkey Audio plugin for k3b
Summary(pl.UTF-8):	Wtyczka Monkey Audio dla k3b
Name:		k3b-plugin-monkeyaudio
Version:	3.1
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/k3b/k3bmonkeyaudioplugin-%{version}.tar.bz2
# Source0-md5:	7ca0a8f9fcf9c2695e8e3484c7ce58a9
URL:		http://www.k3b.org/
Patch0:		kde-am.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	k3b-devel
BuildRequires:	libsamplerate-devel
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
K3B plugin to support encoding and decoding of Monkey Audio files.

The Monkey Audio SDK itself is released under a BSD-like license; see
%{_docdir}/%{_name}/LICENSE.libmonkeyaudio* .

%description -l pl.UTF-8
Wtyczka K3B do obsługi kodowania i dekodowania plików Monkey Audio.

Samo Monkey Audio SDK zostało wydane na licencji w stylu BSD -
szczegóły w pliku %{_docdir}/%{_name}/LICENSE.libmonkeyaudio* .

%prep
%setup -q -n k3bmonkeyaudioplugin-%{version}
%patch0 -p1

%build
%{__make} -f admin/Makefile.common cvs

%configure \
	--%{!?debug:dis}%{?debug:en}able-debug \
	%{!?debug:--disable-rpath} \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang k3bmonkeyplugin --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f k3bmonkeyplugin.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/kde3/lib*.la
%attr(755,root,root) %{_libdir}/kde3/lib*.so*
%{_datadir}/apps/k3b/plugins/*.plugin

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: k3b-plugin-monkeyaudio.spec,v $
Revision 1.14  2007/04/02 00:15:26  shadzik
- kill redundand Requires
- unify a bit more the build process
- use %find_lang again

Revision 1.13  2007/04/01 22:11:28  rotom
- up to 3.1
- kde-am.patch added

Revision 1.12  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.10  2006/04/01 17:26:07  qboosh
- nasm on x86 only

Revision 1.9  2006/03/29 16:21:36  kolodko
- BR: nasm

Revision 1.8  2006/03/09 17:23:18  adgor
- There's no i18n files

Revision 1.7  2006/01/11 23:38:07  blekot
- up to 3.0

Revision 1.6  2005/12/18 19:49:37  adgor
- Release 1 - builds (do not work for me - test it)

Revision 1.5  2005/12/18 19:03:24  adgor
- Updated to 2.0
- NFY, needs gcc4x fixes, needs %install & %files fixes

Revision 1.4  2005/03/30 11:52:59  kolodko
- BuildRequires: libsamplerate-devel

Revision 1.3  2005/01/11 20:11:49  qboosh
- pl, cleanups

Revision 1.2  2005/01/11 19:54:37  darekr
- BR: ac, am

Revision 1.1  2005/01/11 12:29:16  adasi
- new spec based on SuSe spec
- not building yet
- I know that version field do sucks. Any ideas?
